This endpoint is used to create product set under which you are able to list your products
POST
/product-sets
curl \
--request POST 'api.services.omnicado.com/api/v2/product-sets' \
--header "X-OMNICADO-TOKEN: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"id": 42,
"createdAt": "2026-05-04T09:42:00Z",
"updatedAt": "2026-05-04T09:42:00Z",
"title": "Products for Amazon",
"language": "cs_CZ",
"currency": "CZK",
"isActive": false,
"source": "api",
"pairingStrategy": "remoteId",
"defaultBrand": "OMNICADO",
"strategies": [
{
"pricing": [
{
"sellingMargin": 42.0,
"automaticMarkup": 42.0
}
],
"stock": [
{
"defaultStockValue": 42.0,
"propagateDeliveryDelay": true
}
]
}
]
}'
Request examples
{
"id": 42,
"createdAt": "2026-05-04T09:42:00Z",
"updatedAt": "2026-05-04T09:42:00Z",
"title": "Products for Amazon",
"language": "cs_CZ",
"currency": "CZK",
"isActive": false,
"source": "api",
"pairingStrategy": "remoteId",
"defaultBrand": "OMNICADO",
"strategies": [
{
"pricing": [
{
"sellingMargin": 42.0,
"automaticMarkup": 42.0
}
],
"stock": [
{
"defaultStockValue": 42.0,
"propagateDeliveryDelay": true
}
]
}
]
}
Response examples (200)
{
"id": 42,
"createdAt": "2026-05-04T09:42:00Z",
"updatedAt": "2026-05-04T09:42:00Z",
"title": "Products for Amazon",
"language": "cs_CZ",
"currency": "CZK",
"isActive": false,
"source": "api",
"pairingStrategy": "remoteId",
"defaultBrand": "OMNICADO",
"strategies": [
{
"pricing": [
{
"sellingMargin": 42.0,
"automaticMarkup": 42.0
}
],
"stock": [
{
"defaultStockValue": 42.0,
"propagateDeliveryDelay": true
}
]
}
]
}